Bug 1392391 - no events in timelines for Amazon's Availability Zones though appropriate events are present in db
Summary: no events in timelines for Amazon's Availability Zones though appropriate eve...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.6.0
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: GA
: 5.8.0
Assignee: Marcel Hild
QA Contact: Ievgen Zapolskyi
URL:
Whiteboard: ui:timeline:provider:ec2:event
: 1398023 (view as bug list)
Depends On: 1443529
Blocks: 1398023
TreeView+ depends on / blocked
 
Reported: 2016-11-07 12:31 UTC by Ievgen Zapolskyi
Modified: 2017-05-31 14:23 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1398023 (view as bug list)
Environment:
Last Closed: 2017-05-31 14:23:10 UTC
Category: Bug
Cloudforms Team: AWS
Target Upstream Version:


Attachments (Terms of Use)
screenshot (138.58 KB, image/png)
2016-12-01 16:17 UTC, Marcel Hild
no flags Details
ec2 instance timelines (318.88 KB, image/png)
2016-12-02 12:49 UTC, Ievgen Zapolskyi
no flags Details
ec2 provider timelines (252.36 KB, image/png)
2016-12-02 12:49 UTC, Ievgen Zapolskyi
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Ievgen Zapolskyi 2016-11-07 12:31:33 UTC
Created attachment 1217984 [details]
excerpt from event_streams

Description of problem:
F.e. when I deploy some instance in Amazon's EC2 Provider to CFME, I see appropriate Instance create event in event streams. If I open timelines for this instance's azone, I see "No records found for this timeline" warning message.

Version-Release number of selected component (if applicable):
5.7.0.9

How reproducible:
100%

Steps to Reproduce:
1. Add Amazon as a cloud provider to CFME
2. Deploy any instance and make sure event_streams table contains appropriate provider's events
3. go to this instance's Availability Zone and open Timelines for it
4. Select All Management Event's Categories and click Apply

Actual results:
"No records found for this timeline" message

Expected results:
All supported provider's events should displayed in Timelines

Additional info:
excerpt from event streams and appliance logs are attached

Comment 5 Adam Grare 2016-11-08 21:47:01 UTC
Marcel can you take a look at this one?

Comment 7 Ievgen Zapolskyi 2016-11-23 22:29:37 UTC
*** Bug 1398023 has been marked as a duplicate of this bug. ***

Comment 8 Ievgen Zapolskyi 2016-11-23 22:31:02 UTC
This issue is also present in 5.6.

Comment 9 Marcel Hild 2016-11-24 15:02:43 UTC
Ievgen, what exactly do you mean by "Timelines are disabled for Amazon Provider and Instances." The buttons are greyed out or not present?

Comment 10 Ievgen Zapolskyi 2016-11-24 15:33:01 UTC
Marcel, the buttons aren't present.

Comment 11 Marcel Hild 2016-12-01 16:16:42 UTC
Ievgen, can you share a screenshot?
For me the buttons are present (at 5.7) - see attachment
You are right that the buttons should not be present for 5.6 though, which is correct

Comment 12 Marcel Hild 2016-12-01 16:17:24 UTC
Created attachment 1226868 [details]
screenshot

Comment 13 Ievgen Zapolskyi 2016-12-02 12:48:48 UTC
Marcel,
are you sure you've checked this in 5.7 ?

1) CF 4.2 documentation states opposite -
https://access.redhat.com/documentation/en/red-hat-cloudforms/4.2-beta/paged/monitoring-alerts-and-reporting/chapter-6-timelines

It may turn out that this is just bug in documentation but I've just checked EC2 provider and instance entities in CFME 5.7.0.13 (rc3) and see that Timelines control is absent there as well.
Please take a look at two attached screenshots.

Comment 14 Ievgen Zapolskyi 2016-12-02 12:49:31 UTC
Created attachment 1227308 [details]
ec2 instance timelines

Comment 15 Ievgen Zapolskyi 2016-12-02 12:49:56 UTC
Created attachment 1227309 [details]
ec2 provider timelines

Comment 16 Marcel Hild 2016-12-02 15:07:26 UTC
Ok, you are right. I've been using master and was thinking https://github.com/ManageIQ/manageiq/pull/10588 made it also into euwe, but alas no.

So, back to the original description, we should disable Timelines for AvailabilityZones. Right?

This is caused here
https://github.com/durandom/manageiq/blob/c24e764af1848be2656393946e47563fccbb3ba1/app/helpers/application_helper/toolbar_builder.rb#L864-L864

If you still think we should disable timelines for availabilityzones, I'd move this over to the UI team again. But tbh, I'd consider this rather low prio

Comment 17 Ievgen Zapolskyi 2016-12-02 15:15:59 UTC
CFME should either provide fully working timelines for Availability Zone or shouldn't provide it at all. 
From my perspective, second is preferable because other Amazon entities don't have timelines.

Comment 18 Marcel Hild 2016-12-02 16:19:23 UTC
Ok, as this BZ is slated for 5.8 aka cfme-future I think we can leave this and wait until we make the events in the db presentable for timelines.

In case we want timelines to be disabled for 5.7 and 5.6 see comment #16 and we probably need a BZ for the respective z streams then

Comment 19 Marcel Hild 2017-01-20 13:51:12 UTC
Now timelines are just a setting away.

Current master adds those events
https://github.com/ManageIQ/manageiq-providers-amazon/pull/93/files#diff-76a3d411ea65d630e0146f51eae5f649

Now the question is, under what category should we display them?

Comment 21 Ievgen Zapolskyi 2017-03-24 10:35:56 UTC
cannot verify because Timelines is completely broken since 5.8.0.4.

Comment 22 Ievgen Zapolskyi 2017-04-19 12:36:38 UTC
Blocked by: 1443529

Comment 23 Ievgen Zapolskyi 2017-04-27 14:59:21 UTC
in 5.8.0.12

Comment 25 errata-xmlrpc 2017-05-31 14:23:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.